org.kie.api.marshalling

## Interface KieMarshallers

- All Superinterfaces:
    Service

      public interface KieMarshallers
      extends Service

  This api is experimental and thus the classes and the interfaces returned are subject to change.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectMarshallingStrategyAcceptor` | `newClassFilterAcceptor(String[] patterns)`
    `ObjectMarshallingStrategy` | `newIdentityMarshallingStrategy()`
    `ObjectMarshallingStrategy` | `newIdentityMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)`
    `Marshaller` | `newMarshaller(KieBase kbase)` The marshalling strategies for this method are undefined and thus they are derived from the ksession's or environment provided
    `Marshaller` | `newMarshaller(KieBase kbase, ObjectMarshallingStrategy[] strategies)` This will override the strategies specified in the ksession or environment.
    `ObjectMarshallingStrategy` | `newSerializeMarshallingStrategy()`
    `ObjectMarshallingStrategy` | `newSerializeMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)`

- - ### Method Detail

    - #### newClassFilterAcceptor

          ObjectMarshallingStrategyAcceptor newClassFilterAcceptor(String[] patterns)

    - #### newIdentityMarshallingStrategy

          ObjectMarshallingStrategy newIdentityMarshallingStrategy()

    - #### newIdentityMarshallingStrategy

          ObjectMarshallingStrategy newIdentityMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)

    - #### newSerializeMarshallingStrategy

          ObjectMarshallingStrategy newSerializeMarshallingStrategy()

    - #### newSerializeMarshallingStrategy

          ObjectMarshallingStrategy newSerializeMarshallingStrategy(ObjectMarshallingStrategyAcceptor acceptor)

    - #### newMarshaller

          Marshaller newMarshaller(KieBase kbase)

      The marshalling strategies for this method are undefined and thus they are derived from the ksession's or environment provided
      Parameters:
        `kbase` -
      Returns:

    - #### newMarshaller

          Marshaller newMarshaller(KieBase kbase,
                                 ObjectMarshallingStrategy[] strategies)

      This will override the strategies specified in the ksession or environment.
      Parameters:
        `kbase` -
        `strategies` -
      Returns:

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.